### Function

# ECal ComponentParameterBagFilterFunc

since: 3.34

#### Declaration

    gboolean
    (* ECalComponentParameterBagFilterFunc) (
      ICalParameter* parameter,
      gpointer user_data
    )

#### Description [src]

A function used to filter which parameters should be added to the bag, when filling it with `e_cal_component_parameter_bag_new_from_property()` and e_cal_component_parameter_bag_set_from_property().

Available since: 3.34

#### Parameters

`parameter`

  Type: `None`

  An `ICalParameter`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data for the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE`, to add the parameter to the bag; `FALSE`, to not add it to the bag.